Leader Command

I'm a user of Icad 98 because I haven't had time to do the bata testing on all the versions of Intellicad 2000 that has been required. I've downloaded version 3.1.0009 and it seems as though this version is going to work even with the bugs I've found:1) text editor needs to be fixed I have the same problems mentiond by others.2) LEADER needs to work as it does in Icad 98. The arrow isn't being drawn and I've set Ltscale and Dimscale properly. The command needs to be such that one can draw a leader line without haveing to go thru all the choices and button clicks. I draw a lot of leaders and this is time consuming.3) If a block is constructed using a circle or arc and then inserted into the drawing and then mirrored the circle or arc is redifined as an ellipse and no operations can be performed on the ellipse. Why does this happen?4) I've got LISP routines that worked in Icad 98 but don't work in 3.1.0009.

Comments

  • I think the LEADER command works just the way it should:- launch the command- define the leader segments- right click to stop defining segments- type the leader text- right click or pres ENTER to type the next line of the leader text or right click again without typing to place the leader.In the above procedure you don't have to bother about extra choices or button clicks.

  • Yes, the Leader command works the way it is defined but NOT the way it should. If I toggle thru and want the leader only ( no text) then Right clicking thru the mtext dialog box doesn't do anything, I have to hit the enter button to exit thru the mtext dialog box. And then the arrow and leader line has a short tail on it. In Icad98 one had a choice of stopping at any point in the construction of a leader line and one got what they saw, not so with this version. The command is LEADER not LEADER WITH TEXT ATTACHED. There ought to be two commands then if people want the text. But I continuously draw leaders from entity to enttiy and text, if any, is added separately.

  • The new Leaders also suffer if mirrored. The tails disapear and even Undo wont bring them back. Once in a while Ive had arrow heads move from where they should be (when mirrored).Also, I some times want 2 or more leaders going to the same text but I have to explode the first leader to make this work because Osnaps cant get a lock on an unexploded leader line.J

  • If you want a leader without text (and without the small horizontal segment at the end of the leader), you must choose NONE from the context menu.The procedure to draw a textless leader is:- define the leader segments- right click twice (first time to stop defining leader segments, second time to open the Option menu)- type N or choose NONE from the DIMLEADER context menu.

  • I know this isn't excactly what you are asking for, but it is always possible to define a new command for a no-text leader. Try this lisp:(defun C:NOTEXT ( / pt ptlst)(setq ptlst (list (setq pt(getpoint "\nStart of leader.."))))(while pt(setq pt (getpoint pt "\nNext leader point.."))(if pt(setq ptlst (append ptlst (list pt)))))(command "_.LEADER" ptlst "" "" "_n"))It just draws a leader between points selected, no more questions asked!

  • A. Vaernes

    I've used your leader lisp and it works well indeed.  However, when I'm placing a leader with it, it does not display each segment dynamically on the screen while drawing it... after placing the last segment, it does display fine though. Is it supposed to behave that way?

    Brian

  • Here is a modification of the notext command I renamed "qldr".  It mimicks AutoCad's qleader command and shows the leader line as you trace it.

    (defun C:qldr ( / pt ptlst) 
     (setq ptlst (list (setq pt(getpoint "\nStart of leader.."))))
     (command "._pline" pt)
     (while pt (setq pt (getpoint pt "\nNext leader point.."))
      (command pt)
      (if pt (setq ptlst (append ptlst (list pt))))
     )
     (command "erase" "L" "")
     (command "_.LEADER" ptlst "" "" "_n")
    )
  • I make use of a lot of two segment leaders with no text so I have a toolbar button with the macro below... works for my needs.

    ^C^C_leader;\\\;;n
  • STEVEN SANDHORST,

    That did the trick.  Thank you!

    Sincerely,

    Brian

This discussion has been closed.